<template>
  <v-container grid-list-xl>
    <v-layout row wrap>
      <v-flex xs12>
        <v-card class="mx-auto">
          <v-img size="50em" aspect-ratio="1" :src="imageRawURL"></v-img>
          <v-card-actions>
            <v-card-text  class="caption pa-0">
                DUNLOPILLOTHAI <br>LIVE YOUR LIFE TO THE FULLEST
            </v-card-text>
            <v-spacer></v-spacer>
            <img
            height="48"
            align-content-end
            :src="require('@/assets/logo_card.png')"/>
          </v-card-actions>
        </v-card>
      </v-flex>
        <v-flex xs12>
          <v-card color="secondary caption" class="text-xs-center">
            <v-flex class="caption2 white--text"  >
                ระบบจัดเก็บรูปภาพของท่านแล้ว กดแชร์ไปยัง Facebook เพื่อเสร็จสิ้นขั้นตอนค่ะ
            </v-flex>
          </v-card>
        </v-flex>
        <v-flex xs12 class="text-xs-center">
          <social-sharing :url="imageThumbURL" inline-template hashtags="Dunlopillothai">
             <network network="facebook">
                <v-btn color="accent primary--text" rounded>
                  แชร์ <v-icon class="pl-1"  color="primary" size="medium">fab fa-facebook</v-icon>
                </v-btn>
              </network>
          </social-sharing>
        </v-flex>
    </v-layout>
  </v-container>
</template>
<script>
export default {
  created () {
    this.$store.dispatch('pictures/queryPic', this.$route.params.id)
  },
  computed: {
    imageRawURL () {
      return this.$store.getters['pictures/getPicObjRaw']
    },
    imageThumbURL () {
      return this.$store.getters['pictures/getPicObjThumb']
    }
  }
}
</script>
<style>
.caption {
    font-size: 0.5rem !important;
    font-weight: 400;
    letter-spacing: 0.0333333333em !important;
    line-height: 1.25rem;
}
.caption2 {
    font-size: 0.8rem !important;
    font-weight: 400;
    letter-spacing: 0.0333333333em !important;
    line-height: 1.25rem;
}
</style>
